Skip to Content
homemade
Dashboard

Update a VM

PATCH
/api/vms/{vmId}

Renames the VM, changes its auto-sleep or who can open its services. Every field is optional.

Authorization

apiKey
headerAuthorizationBearer <hmk_…>

An API key from the dashboard or homemade api-key create.

Path Parameters

vmId*string

Request Body

application/json
  1. body
keepServicesRunning?boolean|null
name?string
Lengthlength <= 50
shareLevels?
sleepAfterMinutes?integer
Range0 <= value <= 9007199254740991

Response Body

Saved.

application/json
  1. response
ok*boolean
Example Request
curl -X PATCH 'https://api.homemade.dev/api/vms/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "ok": true}